# hcloud_network – Create and manage cloud Networks on the Hetzner Cloud

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Create, update and manage cloud Networks on the Hetzner Cloud.

- You need at least hcloud-python 1.3.0.

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

- hcloud-python >= 1.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
id integer |  | The ID of the Hetzner Cloud Networks to manage. Only required if no Network name is given.
ip_range string |  | IP range of the Network. Required if Network does not exists.
labels dictionary |  | User-defined labels (key-value pairs).
name string |  | The Name of the Hetzner Cloud Network to manage. Only required if no Network id is given or a Network does not exists.

state
string

Choices:
- absent
- present ←

State of the Network.

## See Also

See also

Documentation for Hetzner Cloud API

  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Create a basic network
      hcloud_network:
        name: my-network
        ip_range: 10.0.0.0/8
        state: present

    - name: Ensure the Network is absent (remove if needed)
      hcloud_network:
        name: my-network
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_network complex | always | The Network
| id integer | always | ID of the Network Sample: 12345
| ip_range string | always | IP range of the Network Sample: 10.0.0.0/8
| labels dictionary | always | User-defined labels (key-value pairs) Sample: {'key': 'value', 'mylabel': 123}
| name string | always | Name of the Network Sample: my-volume

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@lkaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.